aboutsummaryrefslogtreecommitdiff
path: root/remote.sh
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2015-05-29 18:31:08 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2015-05-29 18:31:08 +0200
commit75cb85e0cfa66480492b80ada19bd5a02ea12305 (patch)
tree78b4761ae9421cb012bc2b92b600ed1830c0be5e /remote.sh
Add git helper scripts
Diffstat (limited to 'remote.sh')
-rwxr-xr-xremote.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/remote.sh b/remote.sh
new file mode 100755
index 0000000..a31ce34
--- /dev/null
+++ b/remote.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+. etc/git/modules
+
+wd=`pwd`
+
+for i in $modules; do
+ echo "remote $i" 1>&2
+ cd $i
+ git remote $*
+
+ if [ $? -ne 0 ]; then
+ echo "remote FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done